#
# spec file for package gnump3d (Version 2.5b)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         gnump3d
URL:          http://www.gnump3d.org
License:      GPL
Group:        Productivity/Networking/Web/Servers
Autoreqprov:  on
Version:      2.5b
Release:      80
Summary:      GNU MP3 Streaming Server
Requires:     logrotate
PreReq:       /usr/sbin/useradd coreutils
BuildArchitectures: noarch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       gnump3d-%{version}.tar.bz2
Source1:      gnump3d.init
Source2:      gnump3d.logrotate
Patch:        gnump3d-%{version}.dif
Patch1:       gnump3d-CVE-2005-3123.diff
Patch2:       gnump3d-CVE-2005-3424.diff
Patch3:       gnump3d_CVE-2005-3349_a.diff
Patch4:       gnump3d_CVE-2005-3349_b.diff
Patch5:       gnump3d-CVE-2005-3355.diff

%description
gnump3d is a simple server allows you to stream MP3's and OGG Vorbis
files across a network.



%prep
%setup
%patch
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p0

%build

%install
rm -Rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/var/log/gnump3d
install -d -m 755 $RPM_BUILD_ROOT/etc/logrotate.d
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT/srv/mp3
install -d -m 755 $RPM_BUILD_ROOT/var/cache/gnump3d
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/gnump3d
make install DESTDIR=$RPM_BUILD_ROOT
# Install inetd init script
install -m 744 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/gnump3d
ln -sf ../../etc/init.d/gnump3d $RPM_BUILD_ROOT/usr/sbin/rcgnump3d

%clean
#if [ -n "$RPM_BUILD_ROOT" ] ; then
#   rm -rf $RPM_BUILD_ROOT
#fi
#############################################################################

%pre
/usr/sbin/useradd -r -o -g nogroup -u 63 -s /bin/false -c "GNUMP3 daemon" -d /var/lib/nobody gnump3d 2> /dev/null || :

%post
# if there is no access.log file, create one with correct permissions.
# gnump3d does not do this.
test -f /var/log/gnump3d/access.log || {
  touch /var/log/gnump3d/access.log;
  chmod 640 /var/log/gnump3d/access.log;
  chown gnump3d /var/log/gnump3d/access.log
}

%preun
%stop_on_removal gnump3d

%postun
%restart_on_update gnump3d
%insserv_cleanup

%files
%doc COPYING AUTHORS README TODO
%doc %{_mandir}/man1/gnump3d-index.1.gz
%doc %{_mandir}/man1/gnump3d-top.1.gz
%doc %{_mandir}/man1/gnump3d.1.gz
%doc %{_mandir}/man1/gnump3d.conf.1.gz
%dir /etc/gnump3d
%attr(644, root, root) %config /etc/gnump3d/mime.types
%attr(644, root, root) %config(noreplace) /etc/gnump3d/gnump3d.conf
%dir /usr/share/gnump3d
%doc /usr/share/gnump3d/README
%config(noreplace) /usr/share/gnump3d/LaFrere
%config(noreplace) /usr/share/gnump3d/Tabular
%config(noreplace) /usr/share/gnump3d/Thexder
%config(noreplace) /usr/share/gnump3d/default
%config(noreplace) /usr/share/gnump3d/dotNET
%config(noreplace) /usr/share/gnump3d/nausicaa
%config(noreplace) /usr/share/gnump3d/redgrey
%config(noreplace) /usr/share/gnump3d/simple
/usr/lib/perl5/*/gnump3d
%{_bindir}/gnump3d
%{_bindir}/gnump3d2
%{_bindir}/gnump3d-index
%{_bindir}/gnump3d-top
%{_sbindir}/rcgnump3d
%config /etc/init.d/gnump3d
%config(noreplace) /etc/logrotate.d/gnump3d
%attr(755,gnump3d,root) %dir /var/log/gnump3d
%attr(755,gnump3d,root) %dir /var/cache/gnump3d
%attr(755,root,root) %dir /srv/mp3

%changelog -n gnump3d
* Mon Nov 14 2005 - lnussel@suse.de
- fix directory traversal and XSS bugs (#129322, CVE-2005-3424,
  CVE-2005-3425 CVE-2005-3123, CVE-2005-3349, CVE-2005-3355).
* Fri Aug 29 2003 - kukuk@suse.de
- Call useradd with -r for system account [Bug #29611]
* Wed Jul 30 2003 - kukuk@suse.de
- Try to restart the server on update
* Fri Jul 25 2003 - kukuk@suse.de
- Update to 2.5b
* Mon Feb 17 2003 - kukuk@suse.de
- Update to 2.2 (reimplemented in perl)
* Fri Jan 10 2003 - kukuk@suse.de
- Update to final 1.0 release
* Fri Aug 30 2002 - kukuk@suse.de
- Add own "gnump3d" user, so that logfiles are not owned by nobody.
- Fix handling of logfiles after rotation (gnump3d creates the
  first log file as root and tries to modify it later as gnump3d).
- Add config file for logroration
* Sat Aug 24 2002 - kukuk@suse.de
- Update to final tar archive for 1.0-pre1 (includes libtool fixes)
* Mon Aug 12 2002 - kukuk@suse.de
- Update to current CVS version
* Wed Jul 24 2002 - kukuk@suse.de
- Initial version
